#!/usr/bin/env python3
"Prints students one by one."


USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


students = list()
with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})

print(100 * "\n")
nstudents = len(students)

for i, student in enumerate(students):
	student["username"] = student["email"].split("@")[0].strip()
	
	print(10 * "\n")
	
	print("Team {}".format(student["team"]))
	print()
	
	print(student["username"])
	print(student["firstname"])
	print(student["lastname"])
	print(student["email"])
	print(student["password"])
	print()
	
	input("Progress: {:3} / {:3} - {:3.2%}".format(i+1, nstudents, (i+1) / nstudents))

