#!/usr/bin/env python3
"Removes all students from the SVN repositories.


import os
import shutil


BASEREPO = "source"
USERFILE = "students.csv"
SEPARATOR = ","
USERFORMAT = ["team", "lastname", "firstname", "email", "password"]


students = list()

with open(USERFILE) as fobj:
	for line in fobj:
		columns = line.strip().split(SEPARATOR)
		students.append({c:columns[i] for i, c in enumerate(USERFORMAT)})


created = set()

for student in students:
	student["username"] = student["email"].split("@")[0].strip()
	os.system("htpasswd -D team{}/conf/htpasswd {}".format(student["team"], student["username"]))

